# React Customized Components

A Component Library to save your life!!

## Chat Component

A Components to built ChatInputBox with various features like adding images ,documents,audio,voice-to-text and emoji option.

```js
import { ChatBox } from "react-customized-components";
<ChatBox
    emojiPosition="bl",
  onDone={(data) => {
    console.log(data);
  }}
/>;
```

## AutoComplete Component

A component to build autocomplete feature with any apis.

```js
import { Autocomplete } from "react-customized-components";
<Autocomplete
  onDone={(data) => {
    console.log(data);
  }}
/>;
```

```
Here I am using contextual web search api.
Enter your api field in option prop as
option= {
    method: 'GET',
    url: 'YOUR_API_URL',
    params: {YOUR_SEARCH_PARAM},
    headers: {
      YOUR_API_KEY
    }
    Enter the parameter name to search in api in the props searchParam.
```
